Subject: Re: [GENERAL] An amusing MySQL weakness--not!
From: Stephen Frost <[email-masked]>
To: Vincent Veyron <[email-masked]>
Cc: Darren Duncan <[email-masked]>, Michael Nolan <[email-masked]>, [email-masked]
Date: Sun, 26 Jun 2011 12:05:29 -0400
List-Id: <pgsql-general.postgresql.org>

* Vincent Veyron ([email-masked]) wrote:
> Would you mind giving an example of where a boolean field would be a win
> over an integer one?

Where you only ever want 2 (or perhaps 2+NULL) values allowed for the
column.  It's about domain, consistency, etc, primairly.  That said,
don't we implement boolean fields using a bitmap similar to NULLs?  In
which case, it would likely be smaller on disk and more performant as
well.

> I'm asking this because I frequently wonder what is best for my use; I
> normally query postgres via Perl modules, which don't care about boolean
> (the driver converts t/f to 0/1), but I like to tune my fields properly.

Yes, which is pretty horrible of it, imo.

	Thanks,

		Stephen